## GstPhysMemoryAllocator

GstPhysMemoryAllocator — Interface for allocators that pass around physical memory addresses

## Functions

gboolean | gst_is_phys_memory ()
guintptr | gst_phys_memory_get_phys_addr ()

## Types and Values

| GstPhysMemoryAllocator
struct | GstPhysMemoryAllocatorInterface

## Includes

    #include <gst/allocators/allocators.h>

## Description

## Functions

### gst_is_phys_memory ()

    gboolean
    gst_is_phys_memory (GstMemory *mem);

#### Parameters

mem | a GstMemory |

#### Returns

whether the memory at `mem` is backed by physical memory

Since: 1.14

### gst_phys_memory_get_phys_addr ()

    guintptr
    gst_phys_memory_get_phys_addr (GstMemory *mem);

#### Parameters

mem | a GstMemory |

#### Returns

Physical memory address that is backing `mem` , or 0 if none

Since: 1.14

## Types and Values

### GstPhysMemoryAllocator

    typedef struct _GstPhysMemoryAllocator GstPhysMemoryAllocator;

### struct GstPhysMemoryAllocatorInterface

    struct GstPhysMemoryAllocatorInterface {
      GTypeInterface parent_iface;

      guintptr (*get_phys_addr) (GstPhysMemoryAllocator * allocator, GstMemory * mem);
    };

Marker interface for allocators with physical address backed memory

Since: 1.14

## See Also

GstMemory